Create Configuration
curl --request POST \
--url https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"account_id": "<string>",
"application_id": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"webhook_username": "<string>",
"webhook_password": "<string>",
"provider": "bandwidth",
"from_numbers": [
"<string>"
]
},
"is_default_outbound": false
}
'import requests
url = "https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs"
payload = {
"name": "<string>",
"config": {
"account_id": "<string>",
"application_id": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"webhook_username": "<string>",
"webhook_password": "<string>",
"provider": "bandwidth",
"from_numbers": ["<string>"]
},
"is_default_outbound": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {
account_id: '<string>',
application_id: '<string>',
client_id: '<string>',
client_secret: '<string>',
webhook_username: '<string>',
webhook_password: '<string>',
provider: 'bandwidth',
from_numbers: ['<string>']
},
is_default_outbound: false
})
};
fetch('https://agents.labs.bandwidth.com/api/v1/organizations/telephony-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"provider": "<string>",
"is_default_outbound": true,
"credentials": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Telephony Configurations
Create Configuration
Create a new telephony configuration
POST
/
api
/
v1
/
organizations
/
telephony-configs
Create Configuration
Call List Supported Providers first to discover the credential fields for the provider you want to configure — they vary per provider.
Configuration
name must be unique within your organization. Set is_default_outbound: true to mark this configuration as the org-wide default for outbound calls (any existing default is unset). New configurations have no phone numbers; add them via Add a phone number.Authorizations
LabsAuthLabsApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json